<?php
/**
 * Created by PhpStorm.
 * User: sunmoon<i@liming.me>
 * Date: 2019/07/29
 * Time: 上午9:39
 */

namespace common\libs\logging\operate\valueType;

class Config{

    const YES_NO_TYPE = 'yes_no';
    const DATE_TIME_TYPE = 'date_time';
    const DATE_TYPE = 'date';
    const AREA_TYPE = 'area';
    const EMP_LV_TYPE = 'emp_lv';
    const DEC_LV_TYPE = 'dec_lv';
    const CROWN_LV_TYPE = 'crown_lv';
    const DEC_ROLE_ID_TYPE = 'dec_role_id';
    const USER_SYSTEM_TYPE = 'user_system';
    const STATUS_TYPE = 'status';
    const MAP_DATA_TYPE = 'map_data';
    const USER_STATUS_TYPE = 'user_status';
    const AUDIT_STATUS_TYPE = 'audit_status';
    const REGION_TYPE = 'region';
    const ADMIN_TYPE = 'admin';

    private static $_data = [];


    public static function getValues() {
        if(!self::$_data){
            $objClass = new \ReflectionClass(__CLASS__);
            self::$_data = array_values($objClass->getConstants());
            unset($objClass);
        }
        return self::$_data;
    }
}